Legacy CHEESE API

Search Batch

Suggest an edit
GET
/batch_search

Run a similarity search for multiple query molecules in a single request and use centroid or batch mode to identify the set similar molecules.

Batch search modes are:

  • 'centroid' mode: computes mean embedding (centroid) for the input set of molecules and returns neighbors closest to the centroid
  • 'batch' mode: retrieves similar molecules based on the list of molecules in the query by retrieving N similar molecules for each molecule in the query list

Multiple databases can be specified for the search.

Parameters:

  • search_type (str): The type of search to perform.
  • n_neighbors (int): The number of neighbors to retrieve.
  • search_input (List[str]): The input molecules to search by.
  • db_names (str): The databases to use in the search.
  • search_mode (str): The mode of the batch search (default is "centroid", another is "batch").

Returns:

  • A dictionary with list of retrieved molecules, list of molecule ids, and list of origin DBs for each molecule.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_type?EmbNamesNoAll

The type of search to perform

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
n_neighbors?N Neighbors
Default30
search_input?array<string>

Default

[  "CC(=O)Oc1ccccc1C(=O)O",  "CC(=O)Oc1ccccc1C(N)=O",  "CC(=O)Nc1ccccc1C(=O)O"]
db_names?array<>

Selected Databases

Default

[  "CHEMINFINITA-SYNTHON"]
search_mode?SearchModes

The type of batch search to perform

Default"centroid"

Value in

  • "centroid"
  • "batch"

Response Body

application/json

application/json

curl -X GET "https://example.com/batch_search"
null